;;; -*- Mode:LISP; Package:USER; Readtable:CL; Base:10 -*-

#|

  Copyright LISP Machine, Inc. 1987
   See filename "Copyright.Text" for
  licensing and release information.

|#

(defun backup-files ()
  (dolist (source-host '("dj:l."))
    (dolist (dest-host '("aza:"))
      (dolist (directory '("network;"
			   "network.chaos;"
			   "network.drivers;"
			   "network.ip-tcp;"
			   "network.ip-tcp.kernel;"
			   "network.ip-tcp.user;"
			   "network.ip-tcp.server;"
			   "network.kernel;"))
	(let ((source (string-append source-host directory))
	      (dest (string-append dest-host directory)))
	  (format t "~&~S -> ~S" source dest)
	  (fs:balance-directories source dest :direction :1->2))))))

(defun print-network-source-files ()
  (let ((files '("SYS:SYS;SYSDCL.LISP"		;system definition
		 "SYS:ULAMBDA;UC-TCP-IP.LISP"	;microcode for TCP/IP checksum
		 "SYS:NETWORK;PACKAGES.LISP"
		 "SYS:NETWORK;KERNEL;DEFS.LISP"
		 "SYS:NETWORK;KERNEL;LIBRARY.LISP"
		 "SYS:NETWORK;KERNEL;NETWORK-INTERFACE.LISP"
		 "SYS:NETWORK;KERNEL;PACKETS.LISP"
		 "SYS:NETWORK;DRIVERS;LOOPBACK.LISP"
		 "SYS:NETWORK;DRIVERS;3COM.LISP"
		 "SYS:NETWORK;DRIVERS;EXCELAN.LISP"
		 "SYS:NETWORK;DRIVERS;SHARE.LISP"
		 "SYS:NETWORK;DRIVERS;EXPLORER.LISP"
		 "SYS:NETWORK;DRIVERS;CADR.LISP"
		 "SYS:NETWORK;DRIVERS;DRIVER-PROCESS.LISP"
		 "SYS:NETWORK;KERNEL;NETWORK-PROTOCOL.LISP"
		 "SYS:NETWORK;KERNEL;ARP.LISP"
		 "SYS:NETWORK;CHAOS;CHSNCP.LISP"
		 "SYS:NETWORK;CHAOS;CHUSE.LISP"
		 "SYS:NETWORK;CHAOS;CHSAUX.LISP"
		 "SYS:NETWORK;KERNEL;TRANSPORT-PROTOCOL.LISP"
		 "SYS:NETWORK;HOST.LISP"
		 "SYS:NETWORK;TRANSPARENT.LISP"
		 "SYS:NETWORK;TABLE.LISP"
		 "SYS:NETWORK;IP-TCP;KERNEL;IP.LISP"
		 "SYS:NETWORK;IP-TCP;KERNEL;ICMP.LISP"
		 "SYS:NETWORK;IP-TCP;KERNEL;UDP.LISP"
		 "SYS:NETWORK;IP-TCP;KERNEL;UDP-STREAM.LISP"
		 "SYS:NETWORK;IP-TCP;KERNEL;TCP.LISP"
		 "SYS:NETWORK;IP-TCP;KERNEL;TCP-STREAM.LISP"
		 "SYS:NETWORK;IP-TCP;KERNEL;PORTS.LISP"
		 "SYS:NETWORK;IP-TCP;KERNEL;EASY.LISP"
		 "SYS:NETWORK;IP-TCP;KERNEL;GENERIC-SERVER.LISP"
		 "SYS:NETWORK;IP-TCP;SERVER;UDP-NAMESPACE-SERVER.LISP"
		 "SYS:NETWORK;IP-TCP;SERVER;UDP-RWHO-SERVER.LISP"
		 "SYS:NETWORK;IP-TCP;USER;QUICK-TELNET.LISP"
		 "SYS:NETWORK;IP-TCP;USER;TCP-TEST.LISP"
		 "SYS:NETWORK;IP-TCP;USER;IMAGEN.LISP"
		 "SYS:NETWORK;KERNEL;CONFIGURE.LISP"
		 "SYS:NETWORK;KERNEL;NETSTAT.LISP"
		 "SYS:NETWORK;KERNEL;NETSPY.LISP"
		 ;;Here follow the TCP applications written by GJC and adapted by PLD
		 "SYS:NETWORK;IP-TCP;SERVER;FTP.LISP"
		 "SYS:NETWORK;IP-TCP;SERVER;TERMCAP.LISP"
		 "SYS:NETWORK;IP-TCP;SERVER;TELNET-UTILITIES.LISP"
		 "SYS:NETWORK;IP-TCP;SERVER;TELNET.LISP"
		 "SYS:NETWORK;IP-TCP;SERVER;SMTP.LISP"
		 "SYS:NETWORK;IP-TCP;SERVER;DISK.LISP"
		 "SYS:NETWORK;IP-TCP;SERVER;TIME.LISP"
		 "SYS:NETWORK;IP-TCP;SERVER;FINGER.LISP"
		 "SYS:NETWORK;IP-TCP;SERVER;BYTES.LISP"
		 "SYS:NETWORK;IP-TCP;USER;FTP-SYMS.LISP"
		 "SYS:NETWORK;IP-TCP;USER;TELNET.LISP"
		 "SYS:NETWORK;IP-TCP;USER;FTP.LISP"
		 "SYS:NETWORK;IP-TCP;USER;CHAOS-SERVER.LISP"
		 "SYS:NETWORK;IP-TCP;USER;SMTP.LISP"
		 "SYS:NETWORK;IP-TCP;USER;FTP-ACCESS.LISP"
		 )))
    (dolist (name files)
      (format t "~&Printing ~A" name)
      (hardcopy-file name)))
  )

